# QueryDataCenterPortPrice

## 1. 接口描述

调用本接口用于数据中心端口询价。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th width="185">参数名称</th><th width="78.85864661654136">必选</th><th width="196">类型</th><th>描述</th></tr></thead><tbody><tr><td>dcId</td><td>是</td><td>String</td><td><p>数据中心四字码。</p><p>具体取值可通过调用接口<a href="https://docs.console.zenlayer.com/api-reference/cn/cloud-networking/common/describedatacenters"><code>DescribeDataCenters</code></a>来获得最新的数据中心列表。</p></td></tr><tr><td>portType</td><td>是</td><td>String</td><td><p>端口规格。</p><p>具体取值可通过调用接口<a href="https://docs.console.zenlayer.com/api-reference/cn/cloud-networking/port/describedatacenterportprice"><code>DescribeDataCenterPortType</code></a>来获得最新的端口规格表。</p></td></tr><tr><td>buildCrossConnectWithAssisted</td><td>否</td><td>Boolean</td><td><p>是否需要<a href="https://docs.console.zenlayer.com/welcome/cloud-networking/get-started/create-a-port/create-a-cross-connect">Zenlayer协助建设CrossConnect</a>。</p><p>如果选择true，则价格将包含Cross Connect的跳线费用，以及一次性建设费。默认值为false，即用户需要自行建设CrossConnect。</p></td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="257">参数名称</th><th width="221.33333333333331">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 RequestId。</p></td></tr><tr><td>price</td><td><a href="../../datastructure#price">Price</a></td><td>数据中心端口价格。</td></tr><tr><td>crossConnectPrice</td><td><a href="../../datastructure#price">Price</a></td><td>CrossConnect价格。</td></tr><tr><td>crossConnectOneTimeConstructionPrice</td><td><a href="../../datastructure#price">Price</a></td><td>CrossConnect一次性建设费</td></tr><tr><td>stock</td><td>Integer</td><td>数据中心端口的可用库存数量。</td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 对数据中心端口进行询价，并且用户自行建设CrossConnect。**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: QueryDataCenterPortPrice
<Common Request Params>

Request：
{
    "dcId": "SIN1",
    "portType": "10G",
    "buildCrossConnectWithAssisted": false
}

Response：
{   
  "requestId": "TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
  "response": {
    "requestId":"TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
    "price":        {
            "unitPrice":1.65,
            "originalPrice":null,
            "discountPrice":null,
            "discount":100,
            "stepPrices":null,
            "discountUnitPrice":1.65,
            "chargeUnit":"DAY"
        },
    "stock": 100
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                             | 说明       |
| ------- | ------------------------------- | -------- |
| 404     | INVALID\_DATACENTER\_NOT\_FOUND | 数据中心不存在。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/query-price/querydatacenterportprice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
